%define no_apm_archs alpha ia64 s390 s390x sparc sparc64 ppc ppc64 x86_64

%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0
%define libgnomeui_version 2.2.0
%define gnome_panel_version 2.2.0.1-5
%define libgtop2_version 2.0.0-5
%define gail_version 1.2.0
%define libbonoboui_version 2.2.0

%define po_package gnome-applets-2.0

Summary:        Small applications for the GNOME panel.
Name:     	gnome-applets
Version: 	2.2.2
Release:        2.1E
Epoch:          1
License:	GPL
Group:          User Interface/Desktops
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.1/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Prereq:         scrollkeeper >= 0.1.4

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  gnome-panel >= %{gnome_panel_version}
BuildRequires:  libgtop2-devel >= %{libgtop2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  /usr/bin/automake-1.4
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}

Requires:	gnome-panel >= %{gnome_panel_version}

Obsoletes:      battstat_applet

Patch1: gnome-applets-2.0.1-ppp-command.patch
# Register ourself globally so that gnome-cd can tell if we are
# running or not.
Patch2: gnome-applets-2.2.0-uniquecd.patch
# Keep the CD device closed except when actually accessing it
# (bugzilla.gnome.org 91512)
Patch3: gnome-applets-2.0.1-keepclosed.patch
# Shrink volume applet for msw
Patch4: gnome-applets-2.2.0-smallvolume.patch
# Fix cdplayer crash - #139768
Patch5: gnome-applets-2.2.2-cdplayer-crash.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
small utilities for the GNOME panel.

%prep
%ifnarch %{no_apm_archs}

if ! test -e /usr/lib/libapm.a ; then
    echo "You must have apmd installed"
    exit 1
fi
%endif

%setup -q

%patch1 -p1 -b .ppp-command
%patch2 -p1 -b .uniquecd
#patch3 -p1 -b .keepclosed
%patch4 -p1 -b .smallvolume
%patch5 -p1 -b .cdplayer-crash

# Fix up mode 0000 files created by patch2
chmod -R a+r .

%build

# .uniquecd patch modifies cdplayer/Makefile.am
automake-1.4

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package}

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="modemlights.schemas cdplayer.schemas drivemount.schemas charpick.schemas geyes.schemas mini-commander.schemas gkb.schemas multiload.schemas gtik.schemas gweather.schemas battstat.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps
%{_datadir}/gnome-2.0
%{_datadir}/gnome
%{_datadir}/geyes
%{_datadir}/xmodmap
%{_datadir}/gweather
%{_datadir}/battstat_applet
%{_datadir}/omf
%{_datadir}/wireless-applet
%{_datadir}/gen_util
%{_bindir}/*
%{_libdir}/bonobo
%{_libexecdir}/*
#%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound

%changelog
* Thu Nov 18 2004 Mark McLoughlin <markmc@redhat.com> 1:2.2.2-2.1E
- Fix cdplayer crashing when hitting eject while paused (#139768)

* Fri Jul 18 2003  <timp@redhat.com> 1:2.2.2-2
- rebuild against new libgtop

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-1
- 2.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-8
- change the volume applet size fix patch to work

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sat Feb 22 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-6
- clamp size of volume applet to 24

* Thu Feb 20 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- rebuild with datadir/wireless-applet and datadir/gen_util, 
  someone got overzealous deleting unpackaged files instead 
  of packaging them. #82279

* Fri Feb 14 2003 Jonathan Blandford <jrb@redhat.com> 1:2.2.0-4
- rebuild to get new gnome-panel

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-3
- nuke buildreq Xft

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1:2.2.0-2
- fix path in modemlights patch

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-1
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 23 2002 Jeremy Katz <katzj@redhat.com> 1:2.1.3-1
- update to 2.1.3

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- require newer panel, libgtop2
- require newer libgnomeui, libbonoboui

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-2
- remove unpackaged files from the buildroot

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-1
- update to 2.1.1
- add x86_64 to no_apm_archs

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Register the cd player per-device (#72645).

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Keep the CD device closed except when actually accessing it
  (bugzilla.gnome.org 91512)
- Register CD player so we can start only one CD player
  for display from magicdev. (#39208)

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- add ppc ppc64 to no_apm_arches #67564

* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com>
- include applets in libexecdir

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1, and build with new gail
- 69971 (use correct ppp on/off commands)
- remove scrollkeeper dtd-compliance patch, 
  fixed upstream apparently (patch doesn't apply anymore)

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix %%find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs
- remove temporary hack for too-old libgnomeui
- add /etc/sound stuff to file list

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- remove panel-menu.schemas from the list of schemas.
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.105.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.103.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.100.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Havoc Pennington <hp@redhat.com>
- default battstat applet to vertical mode

* Thu Mar 21 2002 Havoc Pennington <hp@redhat.com>
- add patch to adapt to yahoo web site changes, #61561

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- remove requires libghttp4

* Mon Mar  4 2002 Havoc Pennington <hp@redhat.com>
- no apm on sparc, #60538
- obsolete battstat_applet for Ximian compat, #51427
- use ifup/ifdown ppp0 instead of pppon/pppoff for default 
  ppp command in modemlights, #54199

* Tue Feb 12 2002 Havoc Pennington <hp@redhat.com>
- 1.4.0.5, cross fingers
- add gconf-devel buildreq, though this is dubious as hell
  (pulled in by gtik using gnome-vfs, but if gtik actually
   accessed gconf it would fail due to gnorba conflict)
- patch totally busted charpick Makefile.am cflags override

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug 30 2001 Alex Larsson <alexl@redhat.com>
- Removed annoying broken battery full dialog #52861
- Also fix mixer applet for USB sound #52603

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com>
- Own /usr/share/gnome/gkb and /usr/share/gnome/help/*

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- add some build requires
- remove ifarch build requires, replace with check in setup

* Wed Jul 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- sanitize specfile to RH style
- do not require apmd for s390 s390x

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- remove extra .desktop file for battstat

* Sat Jul 07 2001 Havoc Pennington <hp@redhat.com>
- add battstat applet
- rearrange .desktop files for applets

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x
- use %%{_tmppath}

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow newer gettext versions

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Mon Feb 12 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese translation (ja.po, .desktop).
  Note: Please remove Source[23]: when release the next upstream version.

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- Change slashapp to gnome-news app.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com
- %%defattr fixes
- Remove Docdir:

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.1
- use %%makeinstall
